%define _use_internal_dependency_generator 0

Summary: A Perl module for precise time measurements.
Name: perl-Time-HiRes
Version: 1.38
Release: 3.XOS.1
License: distributable
Group: Applications/CPAN
Source0: Time-HiRes-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/perl-Time-HiRes-buildroot/
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503

%description
The Time::HiRes module implements a Perl interface to the usleep,
ualarm, and gettimeofday system calls.  This allows for very
precise timing measurements inside of Perl scripts.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Time-HiRes-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
#make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > Time-HiRes-%{version}-filelist
if [ "$(cat Time-HiRes-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Time-HiRes-%{version}-filelist
%defattr(-,root,root)
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/Time
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/auto/Time

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1.38-3.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on perl-Time-HiRes-1.38-3.src.rpm
  (md5sum of original source rpm: ced180397ef75dc1723b50fe5e86dd34).

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- update to latest version from CPAN

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild
- update from 1.20 to 1.38

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Mon Apr 30 2001 Chip Turner <cturner@redhat.com>
- Spec file was autogenerated. 
